function fs_vals = get_fs (sig_name , dc , freq ,points)
%========================================================================

%Copyright (c) 1999-2000 The University of Texas
%All Rights Reserved.
 
%This program is free software; you can redistribute it and/or modify
%it under the terms of the GNU General Public License as published by
%the Free Software Foundation; either version 2 of the License, or
%(at your option) any later version.
 
%This program is distributed in the hope that it will be useful,
%but WITHOUT ANY WARRANTY; without even the implied warranty of
%MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%GNU General Public License for more details.
 
%The GNU Public License is available in the file LICENSE, or you
%can write to the Free Software Foundation, Inc., 59 Temple Place -
%Suite 330, Boston, MA 02111-1307, USA, or you can find it on the
%World Wide Web at http://www.fsf.org.

 %Demo ideas : Dr.Alan C Bovik
 %Programmer :	Umesh Rajashekar 
 %Version:        %W%	%G%

%The authors are with the Department of Electrical and Computer
%Engineering, The University of Texas at Austin, Austin, TX.
%They can be reached at bovik@ece.utexas.edu and umesh@ece.utexas.edu

%Kindly report any suggestions or corrections to the demos to 
%umesh@ece.utexas.edu

%========================================================================
N =128;
n = 2* N;
To =1/freq;;

t= linspace (0,To,n+1);
t(end) = [];
t_size = length(t);

switch (sig_name),
   
case ('Sine')
   f = sin(2*pi*freq*t) + dc  ;
case ('Cosine')
   f = cos(2*pi*freq*t) + dc  ;
case ('Triangular')
   f = sawtooth(2*pi*freq*t) + dc  ;
case ('Sawtooth')
   f = sawtooth(2*pi*freq*t,0.5) + dc  ;
case ('Square')
   f = square(2*pi*freq*t) + dc  ;
case('Random')
   f = 2* ( rand (1 , length(t) ) - 0.5 );
   
end


F = fft(f);
F1 = [conj(F(N+1)) F(N+2:end) F(1:N+1)];
F1 = F1/n;

t_ax = [-N:N]/To;
stem(t_ax,abs(F1));
zoom on;

n_sig = make_sig(F,points);


t1 = linspace (0,2*To,2*n+1);
t1(end) =[];
f1 = [f f];
plot(t1,f1);
hold on;
n_sig1 = [n_sig n_sig];
plot ( t1,n_sig1,'r');
